import { FrameworkDetector } from '../types.js';

declare class FrameworkRegistry {
    private static instance;
    private detectors;
    private constructor();
    static getInstance(): FrameworkRegistry;
    register(detector: FrameworkDetector): void;
    getDetectors(): FrameworkDetector[];
    detectActiveFrameworks(projectRoot: string, files: string[]): Promise<FrameworkDetector[]>;
}

export { FrameworkRegistry };
